<CsoundSynthesizer>

<CsOptions>
-W -o For_FTS_sin^3_strong_harmonics_Rounded_Square.wav 
</CsOptions>

<CsScore>
</CsScore>

<CsInstrumentToPlay>
i1 AMP CPS 0.05 50.0 ; rise in seconds, decay as percentage of note length
</CsInstrumentToPlay>

<CsGlobals>
 
ksmps = 1 ; Set the control rate to the audio rate. Modern computers are fast enough to control at audio rate
; This is needed to generate the sine curve at audio rate directly. When this instrument is used
; all the instruments in the orchestra will control at audio rate. Preset is 1/10th of audio rate.
</CsGlobals>

<CsPitchBendGlides>
* 
</CsPitchBendGlides>

<CsInstruments>

instr 1

iduration  = p3
iamplitude  = p4

;This; enables pitch glides for FTS orchestra building for CSoundAV
kp5 = p5
kfrequency  = kp5
ifrequency  = p5

irise = p6
idecaypercent = p7

asamples init 0
atime=asamples/sr
asamples = asamples+1

itwopi=3.14159265*2

ipio2 = 3.14159265/2

angle=atime*itwopi

idecay = iduration*idecaypercent/100
kenv linen iamplitude, irise, iduration, idecay

kpamp=0.2
kpfreq=1; control rate just so that it can be changed for each of these
; assignments for convenience of coding
a1 =kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) ; first harmonic
kpamp=1
kpfreq=2
a1 =a1+kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/2
kpfreq=3
a1 =a1+kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/3
kpfreq=4
a1 =a1+kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/4
kpfreq=5
a1 =a1+kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/5
kpfreq=6
a1 =a1+kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/6
kpfreq=7
a1 =a1+kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/7
kpfreq=8
a1 =a1+kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/9
kpfreq=9
a1 =a1+kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/9
kpfreq=10
a1 =a1+kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/10
kpfreq=11
a1 =a1+kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/11
kpfreq=12
a1 =a1+kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/12
kpfreq=13
a1 =a1+kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
   out (a1)/5
endin
</CsInstruments>

</CsoundSynthesizer>
